# Use the latest Alpine as the base image
FROM alpine:latest

# Install required packages
RUN apk add --no-cache \
    build-base \
    libtool \
    autoconf \
    automake \
    openssl-dev \
    openssh \
    ca-certificates \
    curl \
    gnupg \
    m4 \
    perl \ 
    docker \
    python3 \
    rsync 

# Create directories for logs and artifacts
RUN mkdir -p /logs/make_logs /logs/make_test_logs /artifacts

# Set permissions for the directories
RUN chown -R root:root /logs /artifacts

# Set the working directory
WORKDIR /app

# Define the entry point script
COPY entrypoint.sh /usr/local/bin/
RUN chmod +x /usr/local/bin/entrypoint.sh
ENTRYPOINT ["/bin/sh","/usr/local/bin/entrypoint.sh"]